Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao.file
Class FileStaticPageDAO

    java.lang.Object
      net.sourceforge.pebble.dao.file.FileStaticPageDAO

All Implemented Interfaces:
  StaticPageDAO

    public class FileStaticPageDAO

extends java.lang.Object
implements StaticPageDAO

Constructor Summary
`FileStaticPageDAO()`

Method Summary
`StaticPage` | `loadStaticPage(Blog blog, java.lang.String pageId)` Loads a specific static page.
`java.util.Collection<StaticPage>` | `loadStaticPages(Blog blog)` Loads the static pages for a given blog.
`void` | `removeBlogEntry(BlogEntry blogEntry)` Removes the specified blog entry.
`void` | `removeStaticPage(StaticPage staticPage)` Removes the specified static page.
`void` | `storeBlogEntry(BlogEntry blogEntry)` Stores the specified blog entry.
`void` | `storeStaticPage(StaticPage staticPage)` Stores the specified static page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileStaticPageDAO

    public FileStaticPageDAO()

Method Detail

### loadStaticPages

    public java.util.Collection<StaticPage> loadStaticPages(Blog blog)
                                                     throws PersistenceException

  Loads the static pages for a given blog.

  Specified by:
    `loadStaticPages` in interface `StaticPageDAO`
  Parameters:
    `blog` - the owning Blog instance
  Returns:
    a Collection of StaticPage instances
  Throws:
    `PersistenceException` - if static pages cannot be loaded

### loadStaticPage

    public StaticPage loadStaticPage(Blog blog,
                                     java.lang.String pageId)
                              throws PersistenceException

  Loads a specific static page.

  Specified by:
    `loadStaticPage` in interface `StaticPageDAO`
  Parameters:
    `blog` - the owning Blog
    `pageId` - the page ID
  Returns:
    a StaticPage instance
  Throws:
    `PersistenceException` - if the static page cannot be loaded

### storeStaticPage

    public void storeStaticPage(StaticPage staticPage)
                         throws PersistenceException

  Stores the specified static page.

  Specified by:
    `storeStaticPage` in interface `StaticPageDAO`
  Parameters:
    `staticPage` - the static page to store
  Throws:
    `PersistenceException` - if something goes wrong storing the static page

### removeStaticPage

    public void removeStaticPage(StaticPage staticPage)
                          throws PersistenceException

  Removes the specified static page.

  Specified by:
    `removeStaticPage` in interface `StaticPageDAO`
  Parameters:
    `staticPage` - the static page to remove
  Throws:
    `PersistenceException` - if something goes wrong removing the page

### storeBlogEntry

    public void storeBlogEntry(BlogEntry blogEntry)
                        throws PersistenceException

  Stores the specified blog entry.

  Parameters:
    `blogEntry` - the blog entry to store
  Throws:
    `PersistenceException` - if something goes wrong storing the entry

### removeBlogEntry

    public void removeBlogEntry(BlogEntry blogEntry)
                         throws PersistenceException

  Removes the specified blog entry.

  Parameters:
    `blogEntry` - the blog entry to remove
  Throws:
    `PersistenceException` - if something goes wrong removing the entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.